package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItembuygiftDeleteactivityRequest struct {
	/*
	   要删除的活动信息     */
	Param *domain.AlibabaWdkMarketingItembuygiftDeleteactivityCommonActivityParam `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingItembuygiftDeleteactivityRequest) SetParam(v domain.AlibabaWdkMarketingItembuygiftDeleteactivityCommonActivityParam) *AlibabaWdkMarketingItembuygiftDeleteactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingItembuygiftDeleteactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItembuygiftDeleteactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
